export default ({ title, children, btns, style, rightTitle }) => {
  return (
    <div
      style={{
        backgroundColor: '#a0bcda54',
        padding: 10,
        height: '100%',
        ...style,
      }}
    >
      <div
        style={{
          display: 'flex',
          padding: '0 10px',
          marginBottom: 10,
          height: 40,
          alignItems: 'center',
          justifyContent: rightTitle ? 'right' : 'space-between',
        }}
      >
        <div>
          <div
            style={{
              float: rightTitle ? 'right' : 'left',
              width: 8,
              height: 30,
              backgroundColor: '#366CDA',
              marginLeft: rightTitle ? '10px' : '0',
            }}
          />
          <span style={{ fontSize: 22, paddingLeft: 12 }}>{title}</span>
        </div>
        {btns}
      </div>

      {children}
    </div>
  );
};
